Bug 1235487 - python-designateclient-2.2.0 is available
Summary: python-designateclient-2.2.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-designateclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Victoria Martinez de la Cruz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-06-25 01:15 UTC by Upstream Release Monitoring
Modified: 2016-07-31 21:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-31 21:34:42 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.3.0 (#1235487) (1.09 KB, text/x-diff)
2015-06-25 01:15 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.0.0 (#1235487) (990 bytes, patch)
2016-02-02 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.65 KB, patch)
2016-03-31 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.54 KB, patch)
2016-07-15 00:23 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-06-25 01:15:22 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.2.0-2.fc23
URL: https://launchpad.net/python-designateclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-06-25 01:15:32 UTC
Created attachment 1042903 [details]
[patch] Update to 1.3.0 (#1235487)

Comment 2 Upstream Release Monitoring 2015-06-25 01:18:19 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10203242

Comment 3 Upstream Release Monitoring 2015-08-05 00:14:06 UTC
Latest upstream release: 1.4.0
Current version/release in rawhide: 1.2.0-2.fc23
URL: https://launchpad.net/python-designateclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 4 Upstream Release Monitoring 2015-08-05 00:14:11 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-w24y9Q/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-w24y9Q/100.0%: No such file or directory

Comment 5 Upstream Release Monitoring 2015-09-23 00:18:01 UTC
Latest upstream release: 1.5.0
Current version/release in rawhide: 1.2.0-2.fc23
URL: https://launchpad.net/python-designateclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 6 Upstream Release Monitoring 2015-09-23 00:18:06 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-PZtc0c/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-PZtc0c/100.0%: No such file or directory

Comment 7 Upstream Release Monitoring 2015-10-07 22:08:14 UTC
apevec's python-designateclient-1.5.0-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=690198

Comment 8 Upstream Release Monitoring 2016-02-02 00:19:42 UTC
Latest upstream release: 2.0.0
Current version/release in rawhide: 1.5.0-1.fc24
URL: https://launchpad.net/python-designateclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 9 Upstream Release Monitoring 2016-02-02 00:19:50 UTC
Created attachment 1120292 [details]
[patch] Update to 2.0.0 (#1235487)

Comment 10 Upstream Release Monitoring 2016-02-02 00:22:36 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12778679

Comment 11 Upstream Release Monitoring 2016-03-31 00:19:15 UTC
Latest upstream release: 2.1.0
Current version/release in rawhide: 1.5.0-2.fc24
URL: https://launchpad.net/python-designateclient

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5784/

Comment 12 Upstream Release Monitoring 2016-03-31 00:19:20 UTC
Patching or scratch build for python-designateclient and version 1.5.0 FAILED.
See for details

Comment 13 Upstream Release Monitoring 2016-03-31 00:19:21 UTC
Created attachment 1141990 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 14 Upstream Release Monitoring 2016-03-31 00:19:23 UTC
Patches were not touched. All were applied properly

Comment 15 Tomas Orsava 2016-04-15 10:02:46 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 16 Dominika Krejčí 2016-05-04 16:24:06 UTC
Hello Victoria,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 17 Upstream Release Monitoring 2016-07-15 00:23:03 UTC
Latest upstream release: 2.2.0
Current version/release in rawhide: 2.0.0-1.fc25
URL: http://launchpad.net/python-designateclient/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5784/

Comment 18 Upstream Release Monitoring 2016-07-15 00:23:14 UTC
Patching or scratch build for python-designateclient-2.0.0 failed.

Comment 19 Upstream Release Monitoring 2016-07-15 00:23:17 UTC
Created attachment 1180002 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 20 Upstream Release Monitoring 2016-07-15 00:23:19 UTC
Patches were not touched. All were applied properly

Comment 21 Haïkel Guémar 2016-07-31 21:34:42 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.